# -*- encoding : utf-8 -*-

class Admin::PCustomerCatsController < ApplicationController
  layout "admin"
  before_action :auth_admin

  before_action :admin_space
  
  def admin_space
    @admin_space = "clients"
  end
  
  def index
    @p_customer_cats = PCustomerCat.order(:name).all

   
  end

  def show
    @p_customer_cat = PCustomerCat.find(params[:id])

  end

  def new
    
    
		@p_customer_cat = PCustomerCat.new
    

  end

 

  def edit
  
    
    @p_customer_cat = PCustomerCat.find(params[:id])
  end

  def create
    @p_customer_cat = PCustomerCat.new(params.require(:p_customer_cat).permit!)


    if @p_customer_cat.save
     @p_customer_cats = PCustomerCat.order(:name).all
      
    else
      render action: "new"
 
    end

  end


  def update
    @p_customer_cat = PCustomerCat.find(params[:id])


    if @p_customer_cat.update_attributes(params.require(:p_customer_cat).permit!)
      
       @p_customer_cats = PCustomerCat.order(:name).all
    else
     render action: "edit" 
      
    end
      
  end


  def destroy
    @p_customer_cat = PCustomerCat.find(params[:id])
    @p_customer_cat.destroy
    
    
  end
end
